OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.GPUShaderFP64

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGPUShaderFP64 :: MonadIO m => m Bool
- gl_ARB_gpu_shader_fp64 :: Bool
- gl_DOUBLE :: GLenum
- gl_DOUBLE_MAT2 :: GLenum
- gl_DOUBLE_MAT2x3 :: GLenum
- gl_DOUBLE_MAT2x4 :: GLenum
- gl_DOUBLE_MAT3 :: GLenum
- gl_DOUBLE_MAT3x2 :: GLenum
- gl_DOUBLE_MAT3x4 :: GLenum
- gl_DOUBLE_MAT4 :: GLenum
- gl_DOUBLE_MAT4x2 :: GLenum
- gl_DOUBLE_MAT4x3 :: GLenum
- gl_DOUBLE_VEC2 :: GLenum
- gl_DOUBLE_VEC3 :: GLenum
- gl_DOUBLE_VEC4 :: GLenum
- glGetUniformdv :: MonadIO m => GLuint -> GLint -> Ptr GLdouble -> m ()
- glUniform1d :: MonadIO m => GLint -> GLdouble -> m ()
- glUniform1dv :: MonadIO m => GLint -> GLsizei -> Ptr GLdouble -> m ()
- glUniform2d :: MonadIO m => GLint -> GLdouble -> GLdouble -> m ()
- glUniform2dv :: MonadIO m => GLint -> GLsizei -> Ptr GLdouble -> m ()
- glUniform3d :: MonadIO m => GLint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glUniform3dv :: MonadIO m => GLint -> GLsizei -> Ptr GLdouble -> m ()
- glUniform4d :: MonadIO m => GLint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glUniform4dv :: MonadIO m => GLint -> GLsizei -> Ptr GLdouble -> m ()
- glUniformMatrix2dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix2x3dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix2x4dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix3dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix3x2dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix3x4dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix4dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix4x2dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glUniformMatrix4x3dv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()

# Extension Support

glGetARBGPUShaderFP64 :: MonadIO m => m Bool

Is the ARB_gpu_shader_fp64 extension supported?

gl_ARB_gpu_shader_fp64 :: Bool

Is the ARB_gpu_shader_fp64 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGPUShaderFP64` in those cases instead.

# Enums

gl_DOUBLE :: GLenum

gl_DOUBLE_MAT2 :: GLenum

gl_DOUBLE_MAT2x3 :: GLenum

gl_DOUBLE_MAT2x4 :: GLenum

gl_DOUBLE_MAT3 :: GLenum

gl_DOUBLE_MAT3x2 :: GLenum

gl_DOUBLE_MAT3x4 :: GLenum

gl_DOUBLE_MAT4 :: GLenum

gl_DOUBLE_MAT4x2 :: GLenum

gl_DOUBLE_MAT4x3 :: GLenum

gl_DOUBLE_VEC2 :: GLenum

gl_DOUBLE_VEC3 :: GLenum

gl_DOUBLE_VEC4 :: GLenum

# Functions

glGetUniformdv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(program,location)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glUniform1d

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLdouble | `x`.
-> m () |

glUniform1dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*1` elements of type `GLdouble`.
-> m () |

glUniform2d

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

glUniform2dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*2` elements of type `GLdouble`.
-> m () |

glUniform3d

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glUniform3dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*3` elements of type `GLdouble`.
-> m () |

glUniform4d

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

glUniform4dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glUniformMatrix2dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glUniformMatrix2x3dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glUniformMatrix2x4dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glUniformMatrix3dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*9` elements of type `GLdouble`.
-> m () |

glUniformMatrix3x2dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glUniformMatrix3x4dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |

glUniformMatrix4dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*16` elements of type `GLdouble`.
-> m () |

glUniformMatrix4x2dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glUniformMatrix4x3dv

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |